package com.example.tfat.myapplication.navigationbar.scene

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.RelativeLayout
import com.example.tfat.myapplication.R
import kotlinx.android.synthetic.main.scene_control_view.view.*

class ControlSceneView : RelativeLayout {

    constructor(context: Context) : super(context) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle) {
        initView()
    }

    private fun initView() {
        LayoutInflater.from(context).inflate(R.layout.scene_control_view, this, true)
    }

    fun setonClickAddBtn(onClickListener: OnClickListener) {
        addScene.setOnClickListener(onClickListener)
    }

    fun setonClickDuplicateBtn(onClickListener: OnClickListener) {
        duplicate.setOnClickListener(onClickListener)
    }

//    fun setOnFinishClickListener(onClickListener: OnClickListener) {
//        finish.setOnClickListener(onClickListener)
//    }
}